<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Articles" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Articles";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "articles_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
  ?>  
  </div> <!-- Closing the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Articles</h2>

      <p>Here you'll find articles, written mostly by founder Chuck Ross, on the topics of programming in general and with FileMaker and AppleScript in particular. We hope to make this a regular feature. If you would like to be alerted when a new article appears, you can subscribe to the new articles <a href="feed://www.chivalrysoftware.com/home/newarticles.rss">RSS</a> feed or <a href="mailto:newarticles@chivalrysoftware.com?subject=Subscribe">join</a> the mailing list.</p>

      <h2><a href="fmical.php">Scripting FileMaker and iCal</a></h2>

      <p>Learn how to integrate FileMaker and Apple's iCal using AppleScript, and even push your data from FileMaker to your handheld computer's datebook.</p>

      <h2><a href="roll01.php">Ultimate Customization</a></h2>

      <p>The first in a series of articles for the computer user interested in learning to program.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include"; ?>

</div> <!-- Closing the contents div -->
</body>
</html>
