<?php
  define( "INCLUDE_ROOT", "../includes/" );
  define( "CURRENT_ITEM", "About" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " About Chivalry Software";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "who_we_are_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Closing the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>About Chivalry Software</h2>

      <p>Chivalry Software is all about <span class="emphasize">service</span>. <a href="/home/chuck.php">Chuck</a>, the founder of Chivalry Software, has created a team to offer service to the small business community. Small business is the backbone of the American economy, but often doesn&rsquo;t have access to the latest technologies in efficiency, and Chivalry exists to provide these technologies affordably.</p>

      <p>The company is based in <a href="http://www.cityoftemecula.org/">Temecula, CA</a>, about 90 miles southeast of Los Angeles, but its clients are all over the country. Although Chivalry primarily uses <a href="http://www.filemaker.com/">FileMaker</a> as the main tool for delivering affordable solutions to small businesses, we are fluent in a wide range of <span class="emphasize">technologies</span>, especially solutions from the <a href="http://www.opensource.org/">Open Source</a> world.</p>

      <p>Click on any of the names to the right to find out more information about the individuals who work at Chivalry Software.</a>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
