<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "About" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " About Chuck";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "who_we_are_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Closing the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Chuck<img class="imageright" src="/images/Chuck.gif" alt="Chuck" title="Chuck"
            width="92" height="92" border="0" /></h2>

      <p>Chuck Ross, Chief Technology Officer of Chivalry Software and a certified FileMaker 7 developer, has been working with
          computers since the age of 10. He&rsquo;s not going to mention how many years ago that
          was, but the state of the art of the time was an Atari 800 and a 300 baud acousic coupler
          modem. After studying Mathematics at <a href="http://www.ucla.edu/">UCLA</a>, he moved
          around at a few technology firms before discovering <a
          href="http://www.filemaker.com/">FileMaker</a> while the IS director for <a
          href="http://www.greywest.com/">Grey Advertising, Los Angeles</a>. Finding that he
          enjoyed building software more than troubleshooting hardware, Chuck began developing with
          FileMaker full time.</p>

      <p>Over the years, Chuck has built an impressive r&eacute;sum&eacute; within the FileMaker
          community, having contributed to <a href="http://www.nostarch.com/filemaker.htm">The
          Book of FileMaker 6</a>, for which he was also the technical editor, served as a
          moderator for the popular <a href="http://www.fmforums.com/">FMForums</a> web site,
          written articles for <a href="http://www.filemakermagazine.com/">ISO FileMaker
          Magazine</a> and <a href="http://www.macworld.com">Macworld Magazine</a>, and written
          a monthly beginners programming column for <a href="http://www.atpm.com">About This
          Particular Macintosh</a>. During his programming career he has worked with many other
          companies in a sub-contracting and employee capacity, but has finally found a home at
          Chivalry. He is currently working on his own book, <a
          href="http://www.amazon.com/exec/obidos/tg/detail/-/1593270372/">Absolute AppleScript
          Studio</a> for <a href="http://www.nostarch.com">No Starch Press</a>.</p>

      <p>Chuck&rsquo;s other interests (other than working with computers) include being involved
          in his local <a href="http://www.vineyardusa.org/">Vineyard</a> church, pursuing <a
          href="http://www.lp.org/">libertarian</a> politics (having once run for office and
          lost), hiking and camping with his family, and playing chess on the Internet.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
