<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " What Will It Cost?";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>What Will It Cost?</h2>

      <p>You already know that custom software is not cheap. You can buy a $300 package at
         your local office supply store, and in all likelihood, it will adequately serve your
         business. But it won&rsquo;t be built for <em>your</em> business.</p>

      <p>How much <span class="emphasize">efficiency</span> do you wish to reap? The
          shrink-wrapped package is, by necessity, generalized for many businesses, not written
          for your business. If you don&rsquo;t like how it handles some aspect of your business, you
          can either change your business to match the software, buy yet another piece of
          software for that aspect, or allow that aspect to ignore the advantages of
          information technology.</p>

      <p>Sure, we could give you an off-the-rack, set price for your software solution. But we
          won&rsquo;t. Because custom software is just that: customized to your business, <span
          class="emphasize">tailored</span> to your needs, written with you in mind, not
          everyone else. So, just give us a <a href="mainto:info@chivalrysoftware.com">click</a>
          or a <a href="/home/contact.php">call</a>. We can give you an estimated cost for the
          features you need, and our estimates are <a href="/home/guarantee.php">guaranteed</a>, so
          you can budget with <span class="emphasize">confidence</span>. We will provide you
          with an analysis of your expected return on investment, showing exactly when you can
          anticipate the cost to turn into <span class="emphasize">profit</span>.</p>
      
      <p>We have a standard rate for development of $120 per hour, but offer <span
          class="emphasize">discounts</span> for advanced payments of block of hours. By
          purchasing 20 hours or more in advance, we offer a 10% discount, and by purchasing 50
          hours or more at a time, we offer a 15% discount. We also offer special rates to
          non-profit and educational organizations.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the container div -->
</body>
</html>
