<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " How Can Chivalry Software Improve My Business?";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>How can Chivalry Software Improve My Business?</h2>

      <p>Regardless of industry, every business lives or dies on <span
          class="emphasize">information</span>. The business that has quick access to accurate
          data the moment it is needed is the successful business. The lack of that access is
          debilitating.</p>

      <p>But, you already knew that, didn&rsquo;t you.</p>

      <p>What you may not know is that almost every business can <span
          class="emphasize">improve</span> their data access. Almost every business can increase
          the amount of useful data available, increase the efficiency of data entry and
          retrieval, and decrease the number of existing errors. Any one of these points will
          increase your business&rsquo; efficiency and bottom line.</p>

      <p>The question then becomes, will that bottom line <span class="emphasize">profit
          increase</span> justify the hours required to create it. The only way to answer this is
          to discuss it with data experts. <span class="emphasize">Chivalry Software</span> has
          your answers. Give us a <a href="mainto:info@chivalrysoftware.com">click</a> or a <a
          href="/home/contact.php">call</a>. Tell us about your business and enlighten us as to what
          your concerns are. We&rsquo;ll give you some possible solutions, give you a range of <a
          href="/home/cost.php">pricing</a> for those solutions, and even provide you with a <a
          href="/home/time.php">timetable</a> for a return on your investment. Then we can work
          together to bring your business to the next level of data efficiency.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
