<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "About" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " About Paul";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "who_we_are_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Closing the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Paul<img class="imageright" src="/images/Paul.gif" alt="Chuck" title="Paul"
            width="92" height="92" border="0" /></h2>

      <p>An avid <a href="http://www.filemaker.com">FileMaker</a> user/developer for over 7
          years, Paul Dacanay (CEO of Chivalry Software) has created FileMaker driven database
          solutions for inventory control, editorial tracking, distribution logistics, and sales
          productivity. He has worked for well-known and established companies in San Diego
          County: <a href="http://www.sandiegan.com/">The San Diegan</a>, and the Southern
          California Christian Times (aka <a href="http://www.christianexaminer.com/">Christian
          Examiner</a>).</p>

      <p>In addition to implementing FileMaker databases, Paul is experienced in configuring and
          deploying <a href="http://www.palmone.com/">Palm</a>/<a
          href="http://www.microsoft.com/windowsmobile/pocketpc/ppc/default.mspx">Pocket PC</a>
          Based databases working with <a
          href="http://www.filemaker.com/products/mbl_home.html">FileMaker Mobile</a>, as well
          as networking FileMaker database systems utilizing <a
          href="http://www.filemaker.com/products/fms_home.html">FileMaker Server</a> and web
          published databases using <a
          href="http://www.filemaker.com/products/fmsa_home.html">FileMaker Server Advanced</a>.
          Paul also has extensive experience with implementing FileMaker Pro <a
          href="http://www.filemaker.com/plugins/">plug-ins</a>.</p>

      <p>&ldquo;To me, FileMaker Pro is an avocation as well as a profession. FileMaker Pro can
          be likened to a sports car with a &lsquo;quantum&rsquo; engine. Although it can be used
          by the average driver to go places at average speeds, it contains an ever-improving
          engine that can take you to places only limited by the imagination.&rdquo;</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
