<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Tell Me About Chivalry's Development Process";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Tell Me About Chivalry&rsquo;s Development Process</h2>

      <p>The development process begins with a <span class="emphasize">conversation</span> between you and one of our project managers. This conversation will reveal to us what your needs are, what your budget is, and what your timetable is. At this time we will advise you as to your options, including which technologies are available for your solution and a very rough estimate of the general cost.</p>

      <p>In the next step of the process, we will begin preparing an <span class="emphasize">estimate</span> for the project. This estimate will include all tasks needed to complete the job, including design, project management and development. We will build this estimate by interviewing you and others in your organization regarding their needs and work habits. The estimate will also include preliminary documentation, including work-flow diagrams, charts showing how the software&rsquo;s modules relate to each other, and, if relevant, a network schematic showing how each piece of hardware will be connected to the final system.</p>

      <p>The estimate will be adjusted based on your priorities and budget, and becomes final upon your approval. This estimate is our <a href="/home/guarantee.php">guarantee</a>, allowing you to move forward with the project with the confidence that costs will be controlled. Once the contract is signed, we will begin the more detailed analysis of your solution, creating a <span class="emphasize">design document</span>, getting into the specifics of how the solution will look, and what reports will be offered. This document will be the roadmap for the project.</p>

      <p>With the design document in hand, we begin <span class="emphasize">active development</span>. A rapid cycle is begun where we create a portion of the software and submit it to you for approval before moving on to the next phase. Generally, this cycle repeats every couple of days, allowing you to provide us with constant feedback regarding the evolution of the system.</p>

      <p>Often, changes to the original design occur, either because of new awareness of technical possibilities or changing business needs. These changes require a <span class="emphasize">change order</span>, which revises the estimate, and must be approved by you. After approving the change order, it becomes part of the design document.</p>

      <p>After completing the development process, we enter a <span class="emphasize">beta phase</span>, where the feature-complete solution is placed in a semi-production setting so that it can be tested by you and your fellow workers. This period of time will bring out any bugs in the software (bugs will exist, they are inevitable for any developer), reveal any misconceptions in the original design document, and provide the developers with information to refine the solution.</p>

      <p>Graduation from beta phase to release means your solution is now <span class="emphasize">ready to use</span>. Training can take place at this time or during the beta phase, and your organization can begin to reap the benefits of your new information structure. As questions regarding the soution&rsquo;s operation arise, we&rsquo;ll be available, usually immediately, but always within 24 hours.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
