<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Services" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Services";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "services_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <a name="database_development"><h2>Database Development</h2></a>

      <p>Our primary occupation is the development of database systems for small businesses and corporate departments. Although most of the systems we create are built with FileMaker Pro, we also use open source solutions such as MySQL and PHP when the need arises. The database systems we create can often be accessed by Macintosh, Windows, handheld computers and the web.</p>

    </div> <!-- Closing the article div -->

    <div class="article">
      <a name="web_development"><h2>Web Development</h2></a>

      <p>Web Development, although often done in connection with our database development services, also stands on its own. Not every web site has to be database drive, and we have experts in web development that can assist with the creation of static web sites.</p>

    </div> <!-- Closing the article div -->

    <div class="article">
      <a name="business_automation"><h2>Business Automation</h2></a>

      <p>The computer is a wonderful tool, all the more so when it can remove the drudgery of repetitive tasks. Many businesses can benefit from automation, which is the creation of small applications that control some business process, such as image manipulation, invoice creation, etc.</p>

    </div> <!-- Closing the article div -->

    <div class="article">
      <a name="development_consulting"><h2>Development Consulting</h2></a>

      <p>FileMaker is a very popular piece of software in the business world, and is deceptively easy to use. Many users of FileMaker aren&rsquo;t professional developers, and create wonderful database applications for internal use. We often assist these internal developers with their software creation, providing advice and input regarding the more esoteric portions of FileMaker.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
