<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Support" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Support";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "support_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Support</h2>

      <p>If you are using an application that we&rsquo;ve custom built for you, please contact your project manager or lead developer. They will be best equipped to assist you. If you do not know the contact information for either of these persons, you may find the information on our <a href="/home/contact.php">contact page</a>.</p>

      <p>If you are having trouble with one of our products, you have a number of options. The first action we would suggest is that you check out our <a href="faq.php">FAQ</a> page and see if your question is answered there.</p>

      <p>If you&rsquo;ve checked the FAQ and not found a solution, you may like to try our online <a href="/forum/">forum</a>. We peruse this forum daily, and you will likely get an answer to your question within 24 hours. It&rsquo;s also possible that one of the other forum members may be able to answer your question.</p>

      <p>Another option is to contact us directly, either by phone or <a href="mailto:support@chivalrysoftware.com">email</a>. Sending us an email is probably the best way to contact us, although you can also phone us at (951) 834-5090. We prefer email because it provides a record of the problem, but please include your phone number so that if a live conversation is necessary, we can call you.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the container div -->
</body>
</html>
