<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " How Long Will It Take?";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>How Long Will It Take?</h2>

      <p>Creating custom software is a <span class="emphasize">craft</span>, and our
          developers have spent years honing their skills. That may sound like we&rsquo;re expensive,
          but what it really means is that we&rsquo;re efficient. We know our <a
          href="/home/tools.php">tools</a>, and we have carefully selected those tools that
          combine power and efficiency.</p>

      <p>Most small business information solutions can use <a
          href="http://www.filemaker.com/">FileMaker Pro</a> as part of the solution. FileMaker
          is well-known for its <span class="emphasize">rapid development</span> capabilities,
          flexible delivery options and secure server technology. FileMaker allows a single
          database system to be delivered to <a href="http://www.apple.com/macosx/">Mac OS</a>
          and <a href="http://www.microsoft.com/windows/default.mspx">Windows</a> clients, <a
          href="http://www.palmsource.com/">Palm</a> and <a
          href="http://www.microsoft.com/windowsmobile/pocketpc/ppc/default.mspx">PocketPC</a>
          devices, the web, and other database servers.</p>

      <p>The key with FileMaker is rapid development. FileMaker allows our developers to move
          <span class="emphasize">quickly</span> from concept to solution, much more quickly than
          with other database technologies. Obviously, the amount of time required to build your
          solution will depend on your needs, but we have a proven <a
          href="/home/process.php">process</a> for rapidly turning your needs into technology
          solutions. Give us a <a href="mainto:info@chivalrysoftware.com">click</a> or a <a
          href="/home/contact.php">call</a> so that we can discuss how soon you will be able to use
          your new solution.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
