<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " What Tools Do You Use?";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>What Tools Do You Use?</h2>

      <p>Chivalry&rsquo;s developers have carefully selected the tools that bring the
          best combination of power and efficiency to their
          work. Their <span class="emphasize"">primary tool</span> for database development is <a
          href="http://www.filemaker.com">FileMaker Pro</a>, well-known for its rapid
          development capabilities, flexible delivery options and secure server technology.
          Version 7, the latest, is our preferred development environment, although we are
          experienced with every version since 2.1.</p>

      <p>Most <span class="emphasize">cross platform</span> development takes place using Macintosh PowerBook G4 computers that run
          the latest versions of both <a href="http://www.apple.com/macosx/">Mac OS X</a> and <a
          href="http://www.microsoft.com/windows/default.mspx">Windows XP</a>. Automation on the Macintosh is accomplished with <a
          href="http://www.apple.com/applescript/">AppleScript</a> and <a
          href="http://www.apple.com/applescript/studio/">AppleScript Studio</a>, while on
          Windows we use <a href="http://msdn.microsoft.com/vbasic/">VisualBasic</a>.<p>

      <p>Besides FileMaker, AppleScript and VisualBasic, we also use <span class="emphasize">many scripting languages</span>,
          such as <a href="http://www.php.net/">PHP</a>, <a href="http://www.perl.com/">Perl</a>
          and <a
href="http://www.google.com/search?hl=en&lr=&c2coff=1&oi=defmore&q=define:JavaScript">JavaScript</a>.
          These languages are implemented in many of our web solutions, which also make wide
          use of <a href="http://w3.org/XML/">XML</a>. We&rsquo;re particularly fond of PHP because of
          its simple syntax and clear <a href="http://www.php.net/manual/en/">references</a>.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
