<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "Home" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Building Your Software";
  
  include INCLUDE_ROOT . "head_2.include"
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "answers_first.include";
    include INCLUDE_ROOT . "filemaker_banners.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Welcome!</h2>
      
      <p>Your small business or corporate department needs to track data, and we are experts
          in helping you do that cost effectively. We are a small business ourselves,
          comprised of a few people who love working with computers. We like to direct our
          creative energies in providing solutions to the information problems facing small
          business, using database and automation technology. Our passion is to make
          computers work for people, not the other way around. We solve problems quickly,
          efficiently, and within budget.</p>

      <p>In addition to our custom development services, we will be offering a small line of
          products that are targeted for specific categories of small business, including the
          FileMaker developer industry. If you&rsquo;d like to receive announcements of products
          releases, please <a href="mailto:newproducts@chivalrysoftware.com">join</a> our
          mailing list, or subscribe to our <a href="feed://www.chivalrysoftware.com/home/newproducts.rss">RSS</a> feed.</p>

      <p><a href="home/chuck.php">Chuck</a>, the founder of Chivalry Software, has
          over 15 years of experience in the computer industry, working with small
          businesses and corporate departments. Our database tool of choice,
          <a href="http://www.filemaker.com/">FileMaker Pro</a>, is well-known for its rapid
          development capabilities, flexible delivery options, and secure server technology.
          <a href="/home/chuck.php"><img class="imageleft" src="images/Chuck.gif" alt="Chuck"
          title="Chuck's Bio" width="92" height="92" border="0" /></a> Regardless of whether
          your data is sensitive enough to require sophisticated security or should be shared
          across the Internet with all your customers and vendors, we have the experience and
          knowledge to get the job done correctly. And you can count on us being there for
          continued assistance and support once the project is finished.</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php
    // Just the copyright information so far.
    include INCLUDE_ROOT . "id_footer.include"
  ?>
  
</div> <!-- Closing the container div -->

<!-- Although the following two lines are the same for every page, they are so short, it doesn't
     make sense to make them an include.
-->
</body>
</html>
