<?php
  define( "INCLUDE_ROOT", $_SERVER['DOCUMENT_ROOT'] . "/includes/" );
  define( "CURRENT_ITEM", "News" );
  define( "CURRENT_ITEM_CLASS", " class=\"currentlistitem\"" );
  define( "CURRENT_ITEM_STYLE", " style=\"background-color: #C4C769\"" );
  
  // For everything that appears before the <head> tag
  include INCLUDE_ROOT . "pre_head.include";

  // The <head> tag is identical except for part of the <title> tag. The difference in the
  // title is what appears between this include and the following one.
  include INCLUDE_ROOT . "head_1.include";
  
  echo " Function Helper Released";
  
  include INCLUDE_ROOT . "head_2.include";
?>

<body>

<!-- The container ID encapsulates everything else on the page -->
<div id="container">

  <?php
    // The header css id is found entirely within this include.
    include INCLUDE_ROOT . "id_header.include";
  
    // The mainnav is the same for each page with one difference: each page belongs to
    // one of the mainnav links. The one it belongs to is colored differently, which is
    // why we have a separate include file for each section of the web site.
    include INCLUDE_ROOT . "id_mainnav.include";
  ?>
  <div id="column">
  <?php
    include INCLUDE_ROOT . "filemaker_banners_first.include";
    include INCLUDE_ROOT . "latest_news.include";
    include INCLUDE_ROOT . "recent_articles.include";
  ?>
  </div> <!-- Cloding the column div -->
  
  <div id="contents">
    <div class="article">
      <h2>Chivalry software, LLC released Function Helper for FileMaker Developer 7</h2>

      <p>Temecula, CA - January 4, 2005 - Chivalry Software, LLC, a FileMaker Solutions Alliance member, today announced the immediate availability of "Function Helper," a FileMaker solution to assist developers in the creation, debugging and storage of custom functions for FileMaker Developer 7.</p>

<p>As powerful as the new custom function feature of FileMaker Developer 7 is for creating powerful database solutions, it isn't without its limitations. "Function Helper" is designed to allow developers to edit and debug custom functions without having to move in and out of the Custom Function dialog box. Using a completely native FileMaker interface, developers can create custom functions, specify parameters and result type, enter functions, input sample parameters, and immediately see the results of the function. Debugging becomes as easy as editing the function field and getting immediate feedback.</p>

<p>In addition to its primary task of simplifing the creation of custom functions, "Function Helper" also serves as a convenient database for custom functions, and ships with a prepopulated database of over 30 useful custom functions, culled from the popular online FileMaker forums and from the developers at Chivalry Software.</p>

<p>Certified FileMaker 7 developer, Charles Ross, Chief Technology Officer of Chivalry Software, has already integrated "Function Helper" into his development process. "With 'Function Helper,' I find that all aspects of working with FileMaker 7's custom functions are easier. I now use it to create all of my custom functions, finding the feedback loop between editing and seeing results to be much quicker than using the custom function dialog box."</p>

<p>"Function Helper" requires FileMaker Pro or Developer 7 and is available for $US25 from <a href="http://www.chivalrysoftware.com/home/functionhelper.php">http://www.chivalrysoftware.com/home/functionhelper.php</a>.</p>

<p>Chivalry Software, LLC<br />
Building Your Software<br />
Phone: (951) 699-0798<br />
<a href="http://www.chivalrysoftware.com">www.chivalrysoftware.com</a><br />
<a href="mailto:info@chivalrysoftware.com">info@chivalrysoftware.com</a><br />
FileMaker Solutions Alliance Member</p>

    </div> <!-- Closing the article div -->
  </div> <!-- Closing the contents div -->

  <?php // Just the copyright information so far.
     include INCLUDE_ROOT . "id_footer.include" ?>

</div> <!-- Closing the contents div -->
</body>
</html>
